package com.abien.timer;

import java.util.Date;
import javax.ejb.Schedule;
import javax.ejb.Singleton;
import javax.interceptor.Interceptors;

/**
 *
 * @author Adam Bien, blog.adam-bien.com
 */
@Interceptors(TimerAuditor.class)
@Singleton
public class PeriodicExecutor {
    
    @Schedule(second="*/5",minute="*",hour="*")
    public void execute(){
        System.out.println("Timer invoked: " + new Date());
    }
}
